Subject: looking forward to hear from you!

From: Rose Gordon <[email-masked]>
Date: Sat, 4 Jun 2011 12:27:55 -0700 (PDT)

Hi,Im a kind, sweet and a good looking woman looking for honest and nice
 person for a relationship.Age is irrelevant to me Write me I will tell 
you all about me and I will send my pics to you Thanks and be blessed.

Rose